<?php

session_start();

if(!array_key_exists('ExportSetting', $_SESSION))
  if(array_key_exists('ExportSetting', $_COOKIE)) 
    $_SESSION['ExportSetting'] = $_COOKIE['ExportSetting'];
	else $_SESSION['ExportSetting'] = '';
  
setcookie('ExportSetting', $_SESSION['ExportSetting'], time() + 60 * 60 * 24 * 100);
include('../includes/global.php');
include('../includes/zip.lib.php');
include('export.php');    
include('create_addon.php');
include('../includes/dbc.php');

ShowPage();

function CheckBox($Name, $Checked = false, $Id = '', $Class = '')
{
  if($Id) $Id = ' id="'.$Id.'"'; else $Id = '';
  if($Class) $Class = ' class="'.$Class.'"'; else $Class = '';
  if($Checked) $Checked = ' checked="checked"'; else $Checked = '';
  return('<input type="checkbox" value="checked" name="'.$Name.'"'.$Checked.$Id.$Class.' />');
}

function RadioButton($Name, $Value, $Checked = false, $onclick = '')
{
  if($Checked) $Checked = ' checked="checked"'; else $Checked = '';
  return('<input onclick="'.$onclick.'" type="radio" name="'.$Name.'" value="'.$Value.'"'.$Checked.' />');
}

function SelectOption($Name, $Text, $Selected = false)
{
  if($Selected) $Selected = ' selected="selected"'; else $Selected = '';
  return('<option value="'.$Name.'"'.$Selected.'>'.$Text.'</option>');
}

function GetVersions($out)
{
  global $Database,$TranslationTree,$Config;
  $result = 'null';
  if ($out == 'VerseCZ') $out = 'Addon';
  if (($out == 'XMLCompressed') or ($out == 'XMLDirect'))  $out = 'sources'; 
  if (($out == 'MangosSQLCompressed') or ($out == 'MangosSQLDirect') or ($out == 'AoWoWSQLCompressed') or ($out == 'AoWoWSQLDirect') or ($out == 'AoWoWImport'))  $out = 'sql'; 
  switch($out)
  {
    case 'Addon':
      $Addon_verses = scandir('files', 1);
      unset($Addon_verses[count($Addon_verses) - 1]);
      unset($Addon_verses[count($Addon_verses) - 1]);
      unset($Addon_verses[count($Addon_verses) - 1]);
	  $result = '[';
	  foreach($Addon_verses as $version) {
	    $result .= "'".$version."',";
      }
	  $result = substr($result,0,strlen($result)-1);
	  $result .= "]";
	break;
    case 'sources':
      $dirs = scandir('../source', 1);
      unset($dirs[count($dirs) - 1]);
      unset($dirs[count($dirs) - 1]);
      unset($dirs[count($dirs) - 1]);
	  $result = '[';
	  foreach($dirs as $dir) {
	    $result .= "'".$dir."',";
      }
	  $result = substr($result,0,strlen($result)-1);
	  $result .= "]";
	break;
    case 'sql':
      $dirs = scandir('../source', 1);
      unset($dirs[count($dirs) - 1]);
      unset($dirs[count($dirs) - 1]);
      unset($dirs[count($dirs) - 1]);
	  $result = '[';
	  foreach($dirs as $dir) {
	    $result .= "'".$dir."',";
      }
	  $result = substr($result,0,strlen($result)-1);
	  $result .= "]";
	break;
    case 'DBC':
      $sql = 'SELECT Version FROM wow_client_version WHERE DBCColumns_GameTips <> "" AND DBCColumns_Spell <> "" ';
      $ID = $Database->SQLCommand($sql);
	  $result = '[';
      while($Line = mysql_fetch_assoc($ID)) 
      {
	    $result .= "'".$Line['Version']."',";
      }
	  $result = substr($result,0,strlen($result)-1);
	  $result .= "]";
	break;
    case 'Lua':
      $dirs = scandir('../source', 1);
	  $result = '[';
	  foreach($dirs as $dir) {
		$ok = true;
        foreach($TranslationTree as $Group)
        {
          if(($Group['LuaFileName'] != '') and ($Group['TablePrefix'] != ''))
          {
		    if ((file_exists('../source/'.$dir.'/lua/'.$Group['LuaFileName'].'.lua') == false))
			  $ok = false;
		  }
		}
		if ($ok) $result .= "'".$dir."',";
      }
	  $result = substr($result,0,strlen($result)-1);
	  $result .= "]";
	break;
  }
  return($result);
}

function WriteOption($str,$Selected)
{
  if ($str <> 'null')
  {
    $str = substr($str,2,strlen($str)-4);
    $versions = explode("','",$str);
    foreach($versions as $version) 
    {
      echo('<option value="'.$version.'"'); 
      if($Selected == $version) echo(' selected="selected"'); echo('>'.$version.'</option>');
    }
  }
}

function WriteSetting($ExportSetting) 
{
	echo('<textarea rows="10" cols="100">'.serialize($ExportSetting).'</textarea><br />'.
	'Odkaz ke stažení s vlastním nastavením: '.
	'<a href="?action=output&amp;ExportSetting='.htmlspecialchars(serialize($ExportSetting)).'">Odkaz vlastního exportu</a><br />'.
	'I když se nastavení ukládá, pro jistotu si jej můžete uložit nebo poslat příteli.');
}

if(array_key_exists('ExportSetting', $_GET)) 
{
	$ExportSetting = unserialize(stripcslashes(stripcslashes($_GET['ExportSetting'])));
} else 
{
	if(array_key_exists('UserID', $_SESSION) and ($_SESSION['UserID'] != ''))
	{
  		$DbResult = $Database->SQLCommand('SELECT ExportSetting FROM user WHERE ID='.$_SESSION['UserID']);
  		$DbRow = mysql_fetch_assoc($DbResult);
  		$ExportSetting = unserialize($DbRow['ExportSetting']);

  //print_r($_POST);
	} else $ExportSetting = unserialize($_SESSION['ExportSetting']);
}
if(!isset($ExportSetting['users-selection'])) $ExportSetting['users-selection'] = array();
if(!isset($ExportSetting['Diacritics'])) $ExportSetting['Diacritics'] = 1;
foreach($LanguageList as $Language)
  if($Language['Enabled'] == 1)
    if(!isset($ExportSetting['language'.$Language['Id']])) $ExportSetting['language'.$Language['Id']] = 1;
if(!isset($ExportSetting['users-order'])) $ExportSetting['users-order'] = '';
if(!isset($ExportSetting['Export'])) $ExportSetting['Export'] = $Addon_verses[0];
if(!isset($ExportSetting['Version'])) $ExportSetting['Version'] = $Config['Web']['GameVersion'];
if(!isset($ExportSetting['groups'])) $ExportSetting['groups'] = array();

function CreateZipFromDir(&$Zip, $Path, $ZipPath)
{
  //echo($Path.'<br />');
  $FileList = scandir($Path);
  foreach($FileList as $FileName)
  {
  	if(file_exists($Path.$FileName) and ($FileName != '.') and ($FileName != '..'))
	  {
      //echo($Path.$FileName.'<br />');
	    if(is_dir($Path.$FileName)) CreateZipFromDir($Zip, $Path.$FileName.'/', $ZipPath.$FileName.'/');
        else $Zip->addFile(file_get_contents($Path.$FileName), $ZipPath.$FileName);	
	  }          
  }
}

if(!array_key_exists('action', $_GET)) $_GET['action'] = '';
switch($_GET['action'])
{
  case 'result':
    if (array_key_exists('Version',$_POST)) $ExportSetting['Version'] = $_POST['Version'];
    if (array_key_exists('Export',$_POST)) $ExportSetting['Export'] = $_POST['Export'];
	  switch($ExportSetting['Export'])
	  {
	    case 'MangosSQLCompressed':
        if(function_exists('gzcompress')) 
        {
		      $TempDir = $Config['Web']['TempFolder'].$_SESSION['User'].'/';
		      if(!file_exists($TempDir)) mkdir($TempDir, 0777, true);
          $SaveFilename = $TempDir.'CzWoW_SQL.zip';
          $SQLFilename = 'CzWoW_SQL.sql';        
          $BufferZip = ExportToMangosSQL($ExportSetting);
          $ZipFile = new zipfile();
          $ZipFile->addFile($BufferZip, $SQLFilename);
          $Buffer = $ZipFile->file();
          file_put_contents($SaveFilename, $Buffer);
        } else echo('Funkce pro tvorbu Zip souboru není podporována!');
        echo('<script type="text/javascript" language="JavaScript" charset="utf-8">'.
          'setTimeout("parent.location.href=\''.$SaveFilename.'\'", 3000)'.
          '</script>');
      
        echo('Pokud nezačalo stahování, soubor by mělo jít stáhnout pomocí tohoto odkazu: '. 
          '<a href="'.$SaveFilename.'">'.$SQLFilename.'</a><br />'.
          'Pokud se vám zdá, že filtr na export nefunguje, vymažte si vyrovnávací paměť prohlížeče a zkuste stáhnout soubor znovu.');
	      break;
	    case 'MangosSQLDirect':
        echo('Vygenerovaný SQL kód: <br /><pre class="SQLCode">');
        echo(htmlspecialchars(ExportToMangosSQL($ExportSetting)));
        echo('</pre>');
  	    break;
	    case 'AoWoWSQLCompressed':
        if(function_exists('gzcompress')) 
        {
		      $TempDir = $Config['Web']['TempFolder'].$_SESSION['User'].'/';
		      if(!file_exists($TempDir)) mkdir($TempDir, 0777, true);
          $SaveFilename = $TempDir.'CzAoWoW_SQL.zip';
          $SQLFilename = 'CzAoWoW_SQL.sql';        
          $BufferZip = ExportToAoWoWSQL($ExportSetting);
          $ZipFile = new zipfile();
          $ZipFile->addFile($BufferZip, $SQLFilename);
          $Buffer = $ZipFile->file();
          file_put_contents($SaveFilename, $Buffer);
        } else echo('Funkce pro tvorbu Zip souboru není podporována!');
        echo('<script type="text/javascript" language="JavaScript" charset="utf-8">'.
          'setTimeout("parent.location.href=\''.$SaveFilename.'\'", 3000)'.
          '</script>');
      
        echo('Pokud nezačalo stahování, soubor by mělo jít stáhnout pomocí tohoto odkazu: '. 
          '<a href="'.$SaveFilename.'">'.$SQLFilename.'</a><br />'.
          'Pokud se vám zdá, že filtr na export nefunguje, vymažte si vyrovnávací paměť prohlížeče a zkuste stáhnout soubor znovu.');
	      break;
	    case 'AoWoWSQLDirect':
        echo('Vygenerovaný SQL kód: <br /><pre class="SQLCode">');
        echo(htmlspecialchars(ExportToAoWoWSQL($ExportSetting)));
        echo('</pre>');
  	    break;
	    case 'AoWoWImport':
		    require_once('../aowow/configs/config.php');
		  echo('<div style="font-size: xx-small;">');
        echo('Gewneruji SQL kód ');
        $AoWoWSQL = ExportToAoWoWSQL($ExportSetting);
        echo('<strong>Hotovo</strong><br />');

		    $Database->SelectDatabase($AoWoWconf['mangos']['db']);    
		    $Database->SQLCommand('SET NAMES '.$Config['Database']['Charset']);
        
		    echo('Aktualizuji aktuality ');
	      $Database->SQLCommand("UPDATE `aowow_news` SET `text_loc0` = 'Poslední aktualizace dat ".Date ("d. n. Y, H:i:s")." ', `text_loc8` = 'Poslední aktualizace dat ".Date ("d. n. Y, H:i:s")." ' WHERE `aowow_news`.`id` =3");
        echo('<strong>Hotovo</strong><br />');

  		  echo('Mažu dočasné soubory ');
		    $files = scandir('../aowow/cache/mangos');
		    foreach($files as $file) 
        {
			    $end = substr($file, strlen($file) - 3);
			    if($end == 'aww') unlink('../aowow/cache/mangos/'.$file);
		    }
		    $files = scandir('../aowow/cache/templates/wowhead');
		    foreach($files as $file) 
        {
			    $end = substr($file, strlen($file) - 3);
			    if ($end == 'php') unlink('../aowow/cache/templates/wowhead/'.$file);
		    }
        echo ('<strong>Hotovo</strong><br />');

        echo('Importuji do AoWoW ');
        $BufferArray = explode(";\n", $AoWoWSQL);
        foreach($BufferArray as $Line) 
        {
			    if($Line <> '') $Database->SQLCommand($Line);
			    echo('. ');
		    }	  
        echo('<strong>Hotovo</strong><br />');
		
		    // TODO   aowow_itemenchantmet, aowow_char_titles, aowow_factions, aowow_itemset, aowow_spelldispeltype, aowow_spellmechanic, aowow_spellrange, aowow_zones
				
		    $Database->SelectDatabase($Config['Database']['Database']);    
		    $Database->SQLCommand('SET NAMES '.$Config['Database']['Charset']);
		echo('</div>');
        WriteLog('Plnění AoWoW databáze překladem', 4);
  	    break;
	    case 'XMLCompressed':
        if(function_exists('gzcompress')) 
        {
		      $TempDir = $Config['Web']['TempFolder'].$_SESSION['User'].'/';
		      if(!file_exists($TempDir)) mkdir($TempDir, 0777, true);
          $SaveFilename = $TempDir.'CzWoW_XML.zip';
          $SQLFilename = 'CzWoW_XML.sql';        
          $BufferZip = ExportToXML($ExportSetting);
          $ZipFile = new zipfile();
          $ZipFile->addFile($BufferZip, $SQLFilename);
          $Buffer = $ZipFile->file();
          file_put_contents($SaveFilename, $Buffer);
        } else echo('Funkce pro tvorbu Zip souboru není podporována!');
        echo('<script type="text/javascript" language="JavaScript" charset="utf-8">'.
          'setTimeout("parent.location.href=\''.$SaveFilename.'\'", 3000)'.
          '</script>');
      
        echo('Pokud nezačalo stahování, soubor by mělo jít stáhnout pomocí tohoto odkazu: '. 
          '<a href="'.$SaveFilename.'">CzWoW_SQL.zip</a><br />'.
          'Pokud se vám zdá, že filtr na export nefunguje, vymažte si vyrovnávací paměť prohlížeče a zkuste stáhnout soubor znovu.');
        break;
	  case 'XMLDirect':
        echo('Vygenerované XML: <br /><pre class="SQLCode">');
        echo(htmlspecialchars(ExportToXML($ExportSetting)));
        echo('</pre>');
  	    break;
	  /*case 'Server':
	    if(Licence(LICENCE_ADMIN)) 
		{
		  $Buffer = ExportToMangosSQL($ExportSetting);
          $Database->SelectDatabase($Config['Database']['DatabaseMangos']);    
          $BufferArray = explode("\n", $Buffer);
		  echo('Přenášení dat do serveru...<br />');
          foreach($BufferArray as $Line) 
          {
			$Database->SQLCommand($Line);
			echo('.');
		  }
          echo("<br />Hotovo<br />");
		} else echo('Nemáte oprávnění.');
	    break;*/
	  case 'Addon':
			if(function_exists('gzcompress')) {
          		$TempDir = $Config['Web']['TempFolder'].$_SESSION['User'].'/CzWoW-'.$ExportSetting['Version'].'/';
	      		echo('Generování addonu...'.$ExportSetting['Export'].'<br />');
          		MakeAddon($ExportSetting);
          		$SaveFilename = $Config['Web']['TempFolder'].$_SESSION['User'].'/CzWoW_Addon-'.$ExportSetting['Version'].'.zip';          
          		$Zip = new zipfile();
		  		CreateZipFromDir($Zip, $TempDir, 'CzWoW/');
          		$Zip->addFile(file_get_contents('files/'.$ExportSetting['Version'].'/CzWoW/OptionsFrame.xml'), 'CzWoW/OptionsFrame.xml');	
          		$Zip->addFile(file_get_contents('files/'.$ExportSetting['Version'].'/CzWoW/CzWoW.xml'), 'CzWoW/CzWoW.xml');	
		  		$Zip->addFile(file_get_contents('files/'.$ExportSetting['Version'].'/CzWoW/CzWoW.toc'), 'CzWoW/CzWoW.toc');	
          		$Zip->addFile(file_get_contents('files/'.$ExportSetting['Version'].'/CzWoW/CzWoW.lua'), 'CzWoW/CzWoW.lua');	
		  		$Zip->addFile(file_get_contents('files/'.$ExportSetting['Version'].'/CzWoW/GameMenuFrame.xml'), 'CzWoW/GameMenuFrame.xml');	
		  		$Zip->addFile(file_get_contents('files/'.$ExportSetting['Version'].'/CzWoW/Localization.lua'), 'CzWoW/Localization.lua');	
		  		$Buffer = $Zip->file();
          		file_put_contents($SaveFilename, $Buffer);
  		  		echo('Hotovo<br /><br />');
        	} else echo('Funkce pro tvorbu Zip souboru není podporována!');
        		echo('<script type="text/javascript" language="JavaScript" charset="utf-8">'.
          		'setTimeout("parent.location.href=\''.$SaveFilename.'\'", 3000)'.
          		'</script>');
      
        		echo('Pokud nezačalo stahování, soubor by mělo jít stáhnout pomocí tohoto odkazu: '. 
          		'<a href="'.$SaveFilename.'">CzWoW_Addon-'.$ExportSetting['Version'].'.zip</a><br />'.
          		'Pokud se vám zdá, že filtr na export nefunguje, vymažte si vyrovnávací paměť prohlížeče a zkuste stáhnout soubor znovu.');
				echo('<br /><strong>Použití ve hře</strong><br />Menu addonu ve hře vyvoláte povelem /czwow.');
	    break;
	  case 'VerseCZ':
        if(function_exists('gzcompress')) 
        {
          $Line = mysql_fetch_assoc($Database->SQLCommand('SELECT verse FROM verseclient ORDER BY DATE DESC LIMIT 1'));
          $TempDir = $Config['Web']['TempFolder'].'Addon/CzWoW/';
	      echo('Generování addonu...<br />');
          MakeAddon($ExportSetting);
          MakeReadme($ExportSetting);

          $SaveFilename = $Config['Web']['TempFolder'].'Addon/CzWoW_'.$Line['verse'].'.zip';          
          $Zip = new zipfile();
		  CreateZipFromDir($Zip, $TempDir, 'Interface/AddOns/CzWoW/');
          //addon
          $Zip->addFile(file_get_contents('files/'.$ExportSetting['Version'].'/CzWoW/OptionsFrame.xml'), 'Interface/AddOns/CzWoW/OptionsFrame.xml');	
          $Zip->addFile(file_get_contents('files/'.$ExportSetting['Version'].'/CzWoW/CzWoW.xml'), 'Interface/AddOns/CzWoW/CzWoW.xml');	
		  $Zip->addFile(file_get_contents('files/'.$ExportSetting['Version'].'/CzWoW/CzWoW.toc'), 'Interface/AddOns/CzWoW/CzWoW.toc');	
          $Zip->addFile(file_get_contents('files/'.$ExportSetting['Version'].'/CzWoW/CzWoW.lua'), 'Interface/AddOns/CzWoW/CzWoW.lua');	
		  $Zip->addFile(file_get_contents('files/'.$ExportSetting['Version'].'/CzWoW/GameMenuFrame.xml'), 'Interface/AddOns/CzWoW/GameMenuFrame.xml');	
		  $Zip->addFile(file_get_contents('files/'.$ExportSetting['Version'].'/CzWoW/Localization.lua'), 'Interface/AddOns/CzWoW/Localization.lua');	
		  //fonty
          $Zip->addFile(file_get_contents('files/'.$ExportSetting['Version'].'/Fonts/FRIZQT__.ttf'), 'Fonts/FRIZQT__.ttf');	
          $Zip->addFile(file_get_contents('files/'.$ExportSetting['Version'].'/Fonts/MORPHEUS.ttf'), 'Fonts/MORPHEUS.ttf');	
          $Zip->addFile(file_get_contents('files/'.$ExportSetting['Version'].'/Fonts/SKURRI.ttf'), 'Fonts/SKURRI.ttf');	
          //readme
          $Zip->addFile(file_get_contents($Config['Web']['TempFolder'].'Addon/CzWoW/CZWOW-Readme.txt'), 'CZWOW-Readme.txt');	
		  		  	 
		  $Buffer = $Zip->file();
          file_put_contents($SaveFilename, $Buffer);
             WriteLog('Vytvořena verze češtiny pro clienta '.$Line['verse'], 4);

  		  echo('Hotovo<br /><br />');
        } else echo('Funkce pro tvorbu Zip souboru není podporována!');
              
        echo('Odkaz ke stažení: '. 
          '<a href="'.$SaveFilename.'">'.$SaveFilename.'</a><br />');
	    break;
	  case 'DBC':
        if(function_exists('gzcompress')) 
        {
          $TempDir = $Config['Web']['TempFolder'].$_SESSION['User'].'/dbc/';
	      echo('Generování dbc souborů...<br />');
          ExportToDBC($ExportSetting);
          $SaveFilename = $Config['Web']['TempFolder'].$_SESSION['User'].'/CzWoW_DBC.zip';          
          $Zip = new zipfile();
     	  CreateZipFromDir($Zip, $TempDir, 'DBCClientFiles/');
  	      $Buffer = $Zip->file();
          file_put_contents($SaveFilename, $Buffer);
  		  echo('Hotovo<br /><br />');
        } else echo('Funkce pro tvorbu Zip souboru není podporována!');
        echo('<script type="text/javascript" language="JavaScript" charset="utf-8">'.
          'setTimeout("parent.location.href=\''.$SaveFilename.'\'", 3000)'.
          '</script>');
      
        echo('Pokud nezačalo stahování, soubor by mělo jít stáhnout pomocí tohoto odkazu: '. 
          '<a href="'.$SaveFilename.'">CzWoW_DBC.zip</a><br />'.
          'Pokud se vám zdá, že filtr na export nefunguje, vymažte si vyrovnávací paměť prohlížeče a zkuste stáhnout soubor znovu.');
		echo('<br /><br /><strong>Použití ve hře</strong><br />Ze souborů vytvořte MPQ archív a nahrajte ho do hry do podsložky Data/enUS jako patch-enUS-5.MPQ. Hru spusťte pomocí programu WoWMe.exe (WoW Model Editor Fix).');
	    break;
	  case 'Lua':
        if(function_exists('gzcompress')) 
        {
          $TempDir = $Config['Web']['TempFolder'].$_SESSION['User'].'/lua/';
	      echo('Generování lua souborů...<br />');
          ExportToLUA($ExportSetting);
          $SaveFilename = $Config['Web']['TempFolder'].$_SESSION['User'].'/CzWoW_Lua.zip';          
          $Zip = new zipfile();
     	  CreateZipFromDir($Zip, $TempDir, '');
  	      $Buffer = $Zip->file();
          file_put_contents($SaveFilename, $Buffer);
  		  echo('Hotovo<br /><br />');
        } else echo('Funkce pro tvorbu Zip souboru není podporována!');
        echo('<script type="text/javascript" language="JavaScript" charset="utf-8">'.
          'setTimeout("parent.location.href=\''.$SaveFilename.'\'", 3000)'.
          '</script>');
      
        echo('Pokud nezačalo stahování, soubor by mělo jít stáhnout pomocí tohoto odkazu: '. 
          '<a href="'.$SaveFilename.'">CzWoW_Lua.zip</a><br />'.
          'Pokud se vám zdá, že filtr na export nefunguje, vymažte si vyrovnávací paměť prohlížeče a zkuste stáhnout soubor znovu.');
		echo('<br /><br /><strong>Použití ve hře</strong><br />Ze souborů vytvořte MPQ archív a nahrajte ho do hry do podsložky Data/enUS jako patch-enUS-5.MPQ. Hru spusťte pomocí programu WoWMe.exe (WoW Model Editor Fix).');
	    break;
	}			
		//statistika výstupu
		if ($ExportSetting['Export'] <> 'AoWoWSQLDirect' and $ExportSetting['Export'] <> 'XMLDirect' and $ExportSetting['Export'] <> 'AoWoWImport' and $ExportSetting['Export'] <> 'MangosSQLDirect') {
		  echo '<br /><br />';
          foreach($TranslationTree as $Group)
          if($Group['TablePrefix'] != '' and (in_array($Group['Id'], $ExportSetting['groups']))) 
	        echo('<div class="state-image"><img alt="'.$Group['TablePrefix'].'" src="../img_statistic.php?group='.$Group['Id'].'&amp;user='.$_SESSION['UserID'].'" title="statistika překladů '.$Group['Name'].'"/></div>');
        }
		
	WriteLog('Generování SQL výstupu: Typ exportu: <strong>'.$ExportSetting['Export'].'</strong>, Diakritika: <strong>'.$ExportSetting['Diacritics'].'</strong>', 2);
    break;
  case 'output':
    if(array_key_exists('groups', $_POST)) $ExportSetting['groups'] = $_POST['groups'];
    $ExportSetting['Diacritics'] = array_key_exists('Diacritics', $_POST);
    foreach($LanguageList as $Language)
      if($Language['Enabled'] == 1) 
        $ExportSetting['language'.$Language['Id']] = array_key_exists('language'.$Language['Id'], $_POST);
    
    if(array_key_exists('ExportSetting', $_GET))
		  $ExportSetting = unserialize(stripcslashes(stripcslashes($_GET['ExportSetting'])));

    echo('<strong>Krok 3. - Typ výstupu</strong><br /><br />');
    echo('<form action="?action=result" method="post"><div>'.
	    '<table><tr><td>'.
      '<fieldset><legend>Forma výstupu</legend>'.
      RadioButton('Export', 'MangosSQLDirect', $ExportSetting['Export'] == 'MangosSQLDirect', 'UpdateVersion('.GetVersions('MangosSQLDirect').',\''.$ExportSetting['Version'].'\')').'MaNGOS SQL - přímo zobrazit<br />'.
	  RadioButton('Export', 'MangosSQLCompressed', $ExportSetting['Export'] == 'MangosSQLCompressed', 'UpdateVersion('.GetVersions('MangosSQLCompressed').',\''.$ExportSetting['Version'].'\')').'MaNGOS SQL - komprimovaný soubor<br />'.
	  RadioButton('Export', 'AoWoWSQLDirect', $ExportSetting['Export'] == 'AoWoWSQLDirect', 'UpdateVersion('.GetVersions('AoWoWSQLDirect').',\''.$ExportSetting['Version'].'\')').'AoWoW SQL - přímo zobrazit<br />'.
	  RadioButton('Export', 'AoWoWSQLCompressed', $ExportSetting['Export'] == 'AoWoWSQLCompressed', 'UpdateVersion('.GetVersions('AoWoWSQLCompressed').',\''.$ExportSetting['Version'].'\')').'AoWoW SQL - komprimovaný soubor<br />'.
      RadioButton('Export', 'XMLDirect', $ExportSetting['Export'] == 'XMLDirect', 'UpdateVersion('.GetVersions('XMLDirect').',\''.$ExportSetting['Version'].'\')').'XML - přímo zobrazit<br />'.
	  RadioButton('Export', 'XMLCompressed', $ExportSetting['Export'] == 'XMLCompressed', 'UpdateVersion('.GetVersions('XMLCompressed').',\''.$ExportSetting['Version'].'\')').'XML - komprimovaný soubor<br />'.
	  RadioButton('Export', 'Addon', $ExportSetting['Export'] == 'Addon', 'UpdateVersion('.GetVersions('Addon').',\''.$ExportSetting['Version'].'\')').'Addon - komprimovaný soubor<br />'.
	  RadioButton('Export', 'Lua', $ExportSetting['Export'] == 'Lua', 'UpdateVersion('.GetVersions('Lua').',\''.$ExportSetting['Version'].'\')').'Lua skripty - komprimovaný soubor<br />');
      if(Licence(LICENCE_ADMIN)) {
          echo(RadioButton('Export', 'DBC', $ExportSetting['Export'] == 'DBC', 'UpdateVersion('.GetVersions('DBC').',\''.$ExportSetting['Version'].'\')').'DBC - komprimovaný soubor (pouze admin)<br />');
          echo(RadioButton('Export', 'AoWoWImport', $ExportSetting['Export'] == 'AoWoWImport', 'UpdateVersion('.GetVersions('AoWoWImport').',\''.$ExportSetting['Version'].'\')').'Importovat do AoWoW (pouze admin)<br />');
	      echo(RadioButton('Export', 'VerseCZ', $ExportSetting['Export'] == 'VerseCZ', 'UpdateVersion('.GetVersions('VerseCZ').',\''.$ExportSetting['Version'].'\')').'Vytvoření verze češtiny <a href="../download.php?createverse" Title="Před konečným exportováním napište popis k verzi" Target="_NEW">Popis k verzi</a> (pouze admin)<br />');
      }
	  //echo('
    echo('</fieldset>');
    echo('<fieldset><legend>Dostupné verze výstupu</legend>');
	echo('<select id="Version" size="5" name="Version">');
	WriteOption(GetVersions($ExportSetting['Export']),$ExportSetting['Version']);
    echo('</select></fieldset>');
	echo('</td>');
	echo('<td class="Description">Zvolte způsob, jakým mají být získána výstupní data. V případě přímého zobrazení může být do vašeho prohlížeče přenášeno vysoké množství dat, což může vést k jeho přetížení.<br /><br />Poté zvolte pro kterou verzi hry mají být data získána. Pokud verze není přesná zvolte nejbližší.<br /><br />Addon je potřeba nakopírovat do složky klienta Interface/AddOns a ve hře lze zpřístupnit jeho možnosti pomocí příkazu /czwow.<br />');
	echo('</td></tr></table>');
	echo('<br /><input type="submit" value="Dokončit" />');
	echo('</div></form><br />');
	echo('<fieldset><legend>Nastavení exportu pro zálohování</legend>');
	WriteSetting($ExportSetting);    
	echo ('</fieldset>');
	break;
  case 'parameters':
    $ExportSetting['users-order'] = $_POST['users-order'];
    $ExportSetting['users-selection'] = array();
    $UsersList = explode(',', $_POST['users-order']);
	foreach($UsersList as $Index => $Item)
	{
	  if(array_key_exists('user_'.$Item, $_POST)) $ExportSetting['users-selection'][] = $Item;
	}
	//if(array_key_exists('users', $_POST)) $ExportSetting['users'] = $_POST['users'];
    echo('<strong>Krok 2. - Volba parametrů</strong><br /><br />');
    echo('<form action="?action=output" method="post"><div>');
	echo('<table><tr><td>');
    echo('<fieldset><legend>Jazyk</legend>'.
      CheckBox('Diacritics', $ExportSetting['Diacritics'] == 'checked').'Včetně diakritiky<br /><br />');  
    //echo('<input type="checkbox" name="Use" checked="true">Přidat výchovýběr databáze.<br />');

    foreach($LanguageList as $Language)
    if($Language['Enabled'] == 1)
      echo(CheckBox('language'.$Language['Id'], $ExportSetting['language'.$Language['Id']] == 'checked').$Language['Name'].'<br />');
      
    echo('</fieldset><br /></td><td class="Description">Pro správné zobrazení českých znaků ve hře je nutné používat upravené <a href="download/ceske_fonty_do_wow.zip">počeštěné fonty</a>.<br />Vyberte jaké jazyky se mají uvažovat při exportu.</td></tr><tr><td><fieldset><legend>Skupiny textů</legend>');
    echo('<select name="groups[]" size="15" multiple="multiple">');
    foreach($TranslationTree as $Group)
      if($Group['TablePrefix'] != '')
        echo(SelectOption($Group['Id'], $Group['Name'].' ('.$Group['TablePrefix'].')', in_array($Group['Id'], $ExportSetting['groups'])));

	echo('</select></fieldset><br /></td><td class="Description">Vyberte skupiny textů, z kterých bude sestaven export. Přidržením CTRL nebo SHIFT můžete provádět výběr více položek.</td></tr></table><input type="submit" value="Pokračovat" />');
	echo('</div></form>');
    break;
  default:
    echo('<strong>Krok 1. - Výběr překladatelů</strong><br /><br />');
	echo('<script type="text/javascript" src="'.$Config['Web']['BaseURL'].'style/jquery.js"></script>
<script type="text/javascript" src="'.$Config['Web']['BaseURL'].'style/jquery-ui.js"></script>
<script type="text/javascript">
$(document).ready(function()
{
	$("#users-table").sortable({ items: "tr", sort: SortComplete });	
	$("#users-order").val($("#users-table").sortable(\'toArray\'));
});

function SortComplete()
{
	$("#users-order").val($("#users-table").sortable(\'toArray\'));	
}
</script>');
    echo('<form id="ListUser" action="?action=parameters" method="post"><div>');

    $Columns = '';
    $Joins = '';

	//řezení podle odkazu
		if(array_key_exists('Order', $_GET)) $order = $_GET['Order'];
		else  $order = 'T.TranslatedCount';
		if(array_key_exists('Desc', $_GET)) $desc = $_GET['Desc']; 
		else  $desc = '';
		if($desc == '') $desc = 'DESC'; else $desc = '';
		
    foreach($TranslationTree as $Group)
      if($Group['TablePrefix'] != '')
      {
	    $Columns .= 'COALESCE(T'.$Group['Id'].'.Count, 0) + ';
        $Joins .= ' LEFT JOIN (SELECT User, COUNT(User) as Count FROM `'.$Group['TablePrefix'].'` WHERE (Complete = 1) AND (Language <> 0) GROUP BY User) as T'.$Group['Id'].' ON user.ID=T'.$Group['Id'].'.User';
      }
    $Query = 'SELECT T.ID, T.TranslatedCount, T.user, T.XP FROM (SELECT user.ID, user.user, user.XP, ('.substr($Columns, 0, -3).') as TranslatedCount FROM `user`'.$Joins.') AS T WHERE T.TranslatedCount > 0 ORDER BY '.$order.' '.$desc;
    $ID = $Database->SQLCommand($Query);

	// Rebuild user order list
	$Users = array();
	while($Line = mysql_fetch_assoc($ID)) {
		 $Users[$Line['ID']] = $Line;
		 $UsersOrder[] = $Line['ID'];
	}
	//řazení podle posledního použitého
	if(!array_key_exists('Order', $_GET)) {
		$UsersOrder = explode(',', $ExportSetting['users-order']);
		foreach($Users as $User)
	  		if(!in_array($User['ID'], $UsersOrder)) $UsersOrder[] = $User['ID'];
		foreach($UsersOrder as $Index => $UserId)
	  		if(!array_key_exists($UserId, $Users)) unset($UsersOrder[$Index]);
	}
	$ExportSetting['users-order'] = implode(',', $UsersOrder);

	if(array_key_exists('team', $_GET)) {
		$ExportSetting['users-selection'] = array();
		$Query = 'SELECT ID FROM user WHERE team = '.$_GET['team'];
        $ID = $Database->SQLCommand($Query);
        while($LineTeam = mysql_fetch_assoc($ID))
			$ExportSetting['users-selection'][] = $LineTeam['ID'];
	}


	echo(' <input type="submit" value="Pokračovat" /> <span onclick="CheckAll()">'.CheckBox('CheckAll', False, 'CheckAll').' Zatrhnout vše</span> ');	
	
	echo('<table><tr><td>'.
	'<table class="BaseTable" id="users-table"><tr>
	<th><a href="?Order=user&amp;Desc='.$desc.'">Jméno</a></th>
	<th><a href="?Order=T.TranslatedCount&amp;Desc='.$desc.'" title="Počet přeložených textů">Překladů</a></th>
    <th><a href="?Order=XP&amp;Desc='.$desc.'">Úroveň</a></th>
	<th></th></tr>');
	//print_r($UsersOrder);    
	// Show ordered user list  
    foreach($UsersOrder as $UserId)
	  echo('<tr id="'.$UserId.'">
	  <td><a href="'.$Config['Web']['BaseURL'].'/TranslationList.php?user='.$UserId.'&amp;action=userall" title="Zobrazit všechny jeho přeložené texty">'.$Users[$UserId]['user'].'</a></td>
	  <td>'.$Users[$UserId]['TranslatedCount'].'</td>
      <td><img src="'.$Config['Web']['TempFolder'].$Users[$UserId]['user'].'/level.png" alt="Úroveň uživatele" /></td>
	  <td>'.CheckBox('user_'.$UserId, in_array($UserId, $ExportSetting['users-selection']), '', 'CheckBox').'</td></tr>');
    echo('</table></td><td class="Description">Zvolte ze seznamu uživatele, od kterých chcete načítat překlady a upravte jejich pořadí, takže od uživatelů výše budou brány překlady přednostně.<br />'.
	  'Řádky v tabulce můžete přesouvat metodou uchop a táhni.'.
      '</td></tr></table>'.
	  '<div><input name="users-order" id="users-order" size="100" type="hidden" /><br />');
	echo('<input type="submit" value="Pokračovat" /></div>');
	echo('</div></form>');
    break;
}

if(array_key_exists('UserID', $_SESSION) and ($_SESSION['UserID'] != ''))
  $Database->SQLCommand('UPDATE user SET ExportSetting = "'.addslashes(serialize($ExportSetting)).'" WHERE ID='.$_SESSION['UserID']);
  else $_SESSION['ExportSetting'] = serialize($ExportSetting);
        
//print_r($ExportSetting);

ShowFooter();      
?>
